package com.ruoyi.adsdesk.controller.openapi;

import com.ruoyi.adsdesk.business.operation.AdsDeskRequestLogBusiness;
import com.ruoyi.adsdesk.param.operation.AdsdeskRequestSaveParam;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 部分开放接口
 * @author Xingbz
 * 022 06-22
 */
@RestController
@RequestMapping("/openapi")
public class OpenAdsDeskRequestController {

    @Resource
    private AdsDeskRequestLogBusiness requestLogBusiness;

    @PostMapping("/adsdesk/request_log/save")
    public void saveRequestLog(@RequestBody AdsdeskRequestSaveParam param) {
        requestLogBusiness.saveRequestLog(param);
    }
}
