package com.ruoyi.adsdesk.param.operation;

import lombok.Data;

/**
 * AdsDesk请求保存参数
 * @author Xingbz
 * 2022-9-6
 */
@Data
public class AdsdeskRequestSaveParam {
    /**
     * 操作人
     */
    private String optUser;

    /**
     * 授权码
     */
    private String authToken;

    /**
     * 唯一标识, 时间戳
     */
    private Long uniqueCode;

    /**
     * 请求地址
     */
    private String requestUrl;

    /**
     * 请求方式
     */
    private String requestMethod;

    /**
     * 请求数据
     */
    private String requestBody;

    /**
     * 响应状态码
     */
    private Integer responseCode;

    /**
     * 响应数据
     */
    private String responseBody;
}
